el(1)

NAME
el — program to make a tuned shell-command for Oneliner

SYNOPSIS

el [-acdfhioxV] [--command cmd] [--args n] [--format fmt] [--execute] [--inpipe buf] [--outpipe buf] [--serial] [--help] [--version] [--debug]

DESCRIPTION

This manual page documents briefly the el command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

el is a program that You can make a tuned shell-command for Oneliner with. This command can send S-exp to Emacs, and this can make Emacs evaluate it, too. In other words, you can execute Emacs's function from shell-commands. And you can make Emacs work in closer cooperation with your favorite shell-commands.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-c cmd           --command cmd
    cmd means a function of Elisp. Command line arguments and data from stdin means arguments of cmd. If you specify the only -c switch, el output one S-exp by one line of stdin.

--a n           --args n
    Specifies the maximum number of arguments of a Elisp function with -c switch.

-f fmt           --format fmt
    Allows you to use format string of printf for making a S-exp.

-x           --execute
    Requests to Oneliner to evaluate the S-exp to use *Oneliner auto-eval* buffer.

-i buf           --inpipe buf
    Gets input from pipe-buffer. You can specify a number of pipe-buffer, too.

-o buf           --outpipe buf
    Puts output to pipe-buffer. You can specify a number of pipe-buffer, too.

-s           --serial
    Makes el to serialize multiple lines to one line.

-h           --help
    Display help message.

-V           --version
    Display version identifiers.

-d           --debug
    Enable debugging state.

SEE ALSO

The programs are documented fully by Oneliner(Shell-mode hooks for Oneliners) available via the Info system.

AUTHOR

This manual page was written by OHURA Makoto <ohura@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.